升级lumanager的apache模式下的php版本的方法 – 帮助中心 – LuManager(LUM)官方授权代理商[双赢网络]

一、首先进入root目录cd root 下载LuNamp_last tar gz到rootwget http: down zijidelu org LuNamp_last tar gz二、解压LuNamp_last tar

来源: 升级lumanager的apache模式下的php版本的方法 – 帮助中心 – LuManager(LUM)官方授权代理商[双赢网络]

一、首先进入root目录

  1. cd /root/

下载LuNamp_last.tar.gz到root

  1. wget http://down.zijidelu.org/LuNamp_last.tar.gz

二、解压LuNamp_last.tar.gz

  1. tar zxvf LuNamp_last.tar.gz

三、进入root/LuNamp/soft/

  1. cd /root/LuNamp/soft/

下载php-5.5.29.tar.gz到/root/LuNamp/soft/

四、手动进入/root/LuNamp/code/php/php.sh
搜索修改32行的soft_version=”5.5.29″;#填写版本号

五、执行升级

  1. cd /root/LuNamp/code/php/
  2. ./php.sh

升级完成后,重启ahache便可,最好是把系统也重启一下

说明:

一、如安装过程中出现 “Sorry, I cannot run apxs” 错误解决方案:
修改 /usr/local/apache/bin/apxs文件第一行(类似这样的一行) :#!/usr/sbin/perl -w
修改为(根据自身服务器perl命令所在目录修改):

  1. #!/usr/bin/perl -w

二、.获取并解压zend-loader-php5.5-linux-x86_64.tar.gz,将解压后目录下的opcache.so、ZendGuardLoader.so 两个文件覆盖到/usr/local/Zend/ 目录下

三、.修改/usr/local/php/lib/php.ini文件,找到[zend5.3.X]段。(此处版本号可改可不改), zend_extension=/usr/local/Zend/ZendGuardLoader.so 下添加下面一行

  1. zend_extension=/usr/local/Zend/opcache.so

四、如执行过程中报make命令未找到的错误,可尝试修改php.sh文件如下2行(根据自身服务器make命令所在目录修改),否则无需修改。

  1. 103行:/usr/local/make/bin/make ZEND_EXTRA_LIBS=’-liconv’;#/usr/local/${ext_soft_dir}make/bin/make
  2. 105行:/usr/local/make/bin/make install;#/usr/local/${ext_soft_dir}make/bin/make install

如果实在不懂怎么搞,就直接联系客服点击这里给我发消息购买一下服务,费用88元,我们来帮你设置。

分享到: 更多 (0)